<template>
	<div>
		<MkPageSpinner v-if="ORDERS_LOADED" />
		<MkOrdersDetail v-if="showOrderDetails && !ORDERS_LOADED" />
		<MkOrderInfo v-if="showOrderDetails && !ORDERS_LOADED && !ORDER_LOADED" />
		<MkOrders v-if="!showOrderDetails" />
	</div>
</template>
<script>
import { mapState } from 'vuex';
import MkOrdersDetail from '~/components/D2C/molecules/MkOrdersDetail.vue';
import MkOrders from '~/components/D2C/molecules/MkOrders.vue';
import MkOrderInfo from '~/components/D2C/molecules/MkOrderInfo.vue';
import MkPageSpinner from '~/components/D2C/atoms/MkPageSpinner/MkPageSpinner.vue';
export default {
	components: {
		MkOrdersDetail,
		MkOrders,
		MkOrderInfo,
		MkPageSpinner,
	},
	layout: 'aurora-layout',
	data() {
		return {
			showOrderDetails: false,
		};
	},
	head() {
		return {
			title: 'Order',
		};
	},
	watch: {
		$route(newValue, oldvalue) {
			if (newValue) {
				if (newValue.query && newValue.query.orderId) {
					this.showOrderDetails = true;
				} else {
					this.showOrderDetails = false;
				}
			}
		},
	},
	computed: {
		...mapState('USER_STORE', ['ORDERS_LOADED', 'ORDER_LOADED']),
	},
	mounted() {
		if (this.$route.query && this.$route.query.orderId) {
			this.showOrderDetails = true;
		} else {
			this.showOrderDetails = false;
		}
	},
};
</script>
